<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CommentaireStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'comment' => ['required', 'min:3', 'string'],
            'sujet_id' => ['required', 'integer'],
            'commentaire_id' => ['nullable', 'integer'],
            'image' => ['nullable', 'string', 'min:3']
        ];
    }
}
